import { type Base, genBase } from "./_base"

export interface Queue extends Base {
  appointment_id: number
  counter_id: number
  status_code: string
  waitTimeStamp: number
  startTimeStamp: number
  endTimeStamp: number
}

export function genQueue(): Queue {
  return {
    ...genBase(),
    appointment_id: 0,
    counter_id: 0,
    status_code: '',
    waitTimeStamp: 0,
    startTimeStamp: 0,
    endTimeStamp: 0,
  }
}
